# Copyright (c) 2024 Telefónica Innovación Digital
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# 
# SPDX-License-Identifier: Apache-2.0
# 
# Contributors:
#     Alejandro Muñiz - Autor
#     Luis M. Contreras - Coautor


apiVersion: codeco.com/v1
kind: NetmaTopology
metadata:
  name: netma-sample
  namespace: he-codeco-netma
overlay-topology:
  networkImplementation: l2sm-network
  physicalBase: logical-network
  nodes: []
  links: []
underlay-topology:
  networkImplementation: underlay-network
  physicalBase: physical-network
  nodes:
  - name: c1
    type: COMPUTE
    capabilities:
      uNodeDegree: 2
      uNodeBandWidth: '24843.989999999998'
  - name: kind-control-plane
    type: COMPUTE
    capabilities:
      uNodeDegree: 2
      uNodeBandWidth: '26269.120000000003'
  - name: kind-worker2
    type: COMPUTE
    capabilities:
      uNodeDegree: 2
      uNodeBandWidth: '26024.91'
  links:
  - name: c1_kind-control-plane
    source: c1
    target: kind-control-plane
    capabilities:
      uLinkFailure: 0
      uLinkEnergy: 1567
  - name: c1_kind-worker2
    source: c1
    target: kind-worker2
    capabilities:
      uLinkFailure: 0
      uLinkEnergy: 1716
  - name: kind-control-plane_c1
    source: kind-control-plane
    target: c1
    capabilities:
      uLinkFailure: 0
      uLinkEnergy: 1715
  - name: kind-control-plane_kind-worker2
    source: kind-control-plane
    target: kind-worker2
    capabilities:
      uLinkFailure: 0
      uLinkEnergy: 1752
  - name: kind-worker2_c1
    source: kind-worker2
    target: c1
    capabilities:
      uLinkFailure: 0
      uLinkEnergy: 1867
  - name: kind-worker2_kind-control-plane
    source: kind-worker2
    target: kind-control-plane
    capabilities:
      uLinkFailure: 0
      uLinkEnergy: 1568
  paths:
  - name: link_c1_kind-control-plane
    source: c1
    target: kind-control-plane
    capabilities:
      uPathFailure: 0
      uPathLength: 1
      uPacketLoss: 0
      uBandWidthBits: '11841.47'
      uLatencyNanos: '0.53'
  - name: link_c1_kind-worker2
    source: c1
    target: kind-worker2
    capabilities:
      uPathFailure: 0
      uPathLength: 1
      uPacketLoss: 0
      uBandWidthBits: '13002.52'
      uLatencyNanos: '0.37'
  - name: link_kind-control-plane_c1
    source: kind-control-plane
    target: c1
    capabilities:
      uPathFailure: 0
      uPathLength: 1
      uPacketLoss: 0
      uBandWidthBits: '12995.1'
      uLatencyNanos: '0.22'
  - name: link_kind-control-plane_kind-worker2
    source: kind-control-plane
    target: kind-worker2
    capabilities:
      uPathFailure: 0
      uPathLength: 1
      uPacketLoss: 0
      uBandWidthBits: '13274.02'
      uLatencyNanos: '0.48'
  - name: link_kind-worker2_c1
    source: kind-worker2
    target: c1
    capabilities:
      uPathFailure: 0
      uPathLength: 1
      uPacketLoss: 0
      uBandWidthBits: '14144.9'
      uLatencyNanos: '0.39'
  - name: link_kind-worker2_kind-control-plane
    source: kind-worker2
    target: kind-control-plane
    capabilities:
      uPathFailure: 0
      uPathLength: 1
      uPacketLoss: 0
      uBandWidthBits: '11880.01'
      uLatencyNanos: '0.37'